Package org.tmatesoft.svn.core.wc2

# Class SvnSetWCDbVersion

java.lang.Object
org.tmatesoft.svn.core.wc2.SvnOperation<Void>
org.tmatesoft.svn.core.wc2.SvnSetWCDbVersion

All Implemented Interfaces:
  `ISvnOperationOptionsProvider`

public class SvnSetWCDbVersion extends SvnOperation<Void>

Version:
  1.8
Author:
  TMate Software Ltd.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`WC_DB_17_VERSION`
`static final int`
`WC_DB_18_VERSION`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SvnSetWCDbVersion(SvnOperationFactory factory)`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`ensureArgumentsAreValid()`
`int`
`getVersion()`
`protected void`
`initDefaults()`
`boolean`
`isChangesWorkingCopy()`
Gets whether the operation changes working copy
`Void`
`run()`
Executes the operation.
`void`
`setVersion(int version)`

### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

`addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### WC_DB_17_VERSION

public static final int WC_DB_17_VERSION

See Also:
  - Constant Field Values

### WC_DB_18_VERSION

public static final int WC_DB_18_VERSION

See Also:
  - Constant Field Values

## Constructor Details

### SvnSetWCDbVersion

protected SvnSetWCDbVersion(SvnOperationFactory factory)

## Method Details

### setVersion

public void setVersion(int version)

### getVersion

public int getVersion()

### isChangesWorkingCopy

public boolean isChangesWorkingCopy()
Description copied from class: `SvnOperation`
Gets whether the operation changes working copy

Overrides:
  `isChangesWorkingCopy` in class `SvnOperation<Void>`
Returns:
  `true` if the operation changes the working copy, otherwise `false`

### run

public Void run() throws SVNException
Description copied from class: `SvnOperation`
Executes the operation.

Overrides:
  `run` in class `SvnOperation<Void>`
Returns:
  result depending on operation type
Throws:
  `SVNException`

### initDefaults

protected void initDefaults()

Overrides:
  `initDefaults` in class `SvnOperation<Void>`

### ensureArgumentsAreValid

protected void ensureArgumentsAreValid() throws SVNException

Overrides:
  `ensureArgumentsAreValid` in class `SvnOperation<Void>`
Throws:
  `SVNException`